Subject: Re: bug#12769: 24.2; Files won't save on Macintosh/Mountain Lion

From: Jan Djärv <[email-masked]>
Date: Tue, 30 Oct 2012 22:07:18 +0100

Hello.

30 okt 2012 kl. 21:37 skrev John Croix <[email-masked]>:

> Oops.  I missed that part of the bug report instruction set.  Running with "-Q" works.  Running without "-Q" doesn't.

Ok, so something in your .emacs is causing this.
Try bisecting it.  Remove half of your .emacs and try again.  If it works, put back the other half, and remove half of that.  If it doesn't work, remove half again, and so on.
Hopefully you can pinpoint what package or lisp statement that causes this.

You can also start Emacs normally and see what the value for before-save-hook is (C-h v before-save-hook).  If it is non-nil, that is a prime suspect.  Try setting it to nil and see if it works.

> 
> I can generate a QuickTime video to show the problem if you like.

No need, but thanks.

	Jan D.

> 
> Regards,
> John
> 
> On Oct 30, 2012, at 3:33 PM, Jan Djärv <[email-masked]> wrote:
> 
>> Hello.
>> 
>> I can't reproduce this.  Are you sure you started with -Q?
>> 
>> 	Jan D.
>> 
>> 30 okt 2012 kl. 20:25 skrev John Croix <[email-masked]>:
>> 
>>> This bug report will be sent to the Bug-GNU-Emacs mailing list
>>> and the GNU bug tracker at debbugs.gnu.org.  Please check that
>>> the From: line contains a valid email address.  After a delay of up
>>> to one day, you should receive an acknowledgement at that address.
>>> 
>>> Please write in English if possible, as the Emacs maintainers
>>> usually do not have translators for other languages.
>>> 
>>> Please describe exactly what actions triggered the bug, and
>>> the precise symptoms of the bug.  If you can, give a recipe
>>> starting from `emacs -Q':
>>> 
>>> 
>>> I've tried to install Emacs 24.2 from multiple sources:
>>> http://emacsformacosx, the GNU sources (configure --with-ns), and
>>> MacPorts.  All of them have the same problem on *two* different Macintosh
>>> computers running Mountain Lion.  Emacs 23.4 works just fine.  BTW, I've
>>> been using emacs for about 20 years, so the bug (saving a file to disk)
>>> isn't pilot error.
>>> 
>>> When I start emacs and create a new file (~/abc) and type
>>> something into it, the two asterisks appear to show that the buffer is
>>> modified.  When I attempt to save it, I get the message "Saving file
>>> /Users/jcroix/abc...".  However, the message never goes away, the two
>>> asterisks never disappear, and the file is never written.
>>> 
>>> If I look at my directory, I can see the restore file ".#abc ->
>>> [email-masked]" with a size of 35, but the file
>>> "abc" is not present.
>>> 
>>> When I attempt to quit emacs (^x ^c), I get the message "Save file
>>> /Users/jcroix/abc? (y, n, !, ., q, C-r, d or C-h)" at which point I hit
>>> "y".  Up pops a message "Modified buffers exist; exit anyway? (yes or
>>> no)".  If I type "no", I remain in edit mode, and the two asterisks are
>>> still present.  If I type "yes", the save file is deleted but the file
>>> "abc" is absent.
>>> 
>>> There are no errors in the "*Messages*" buffer.  Here are the contents
>>> of that buffer:
>>>   Loading delsel...done
>>>   Loading paren...done
>>>   For information about GNU Emacs and the GNU system, type C-h C-a.
>>>   (New file)
>>>   Saving file /Users/jcroix/abc...
>>> So it's trying to save it -- it just doesn't manage to do so.
>>> 
>>> 
>>> If Emacs crashed, and you have the Emacs process in the gdb debugger,
>>> please include the output from the following gdb commands:
>>>     `bt full' and `xbacktrace'.
>>> For information about debugging Emacs, please read the file
>>> /opt/local/share/emacs/24.2/etc/DEBUG.
>>> 
>>> 
>>> In GNU Emacs 24.2.1 (x86_64-apple-darwin12.2.0, X toolkit, Xaw scroll bars)
>>>  of 2012-10-30 on mac-jcroix.cadence.com
>>> Windowing system distributor `The X.Org Foundation', version 11.0.11300000
>>> Configured using:
>>>  `configure '--prefix=/opt/local' '--without-dbus' '--without-gconf'
>>>  '--without-libotf' '--without-m17n-flt' '--without-gpm'
>>>  '--without-gnutls' '--without-xml2' '--infodir'
>>>  '/opt/local/share/info/emacs' '--with-x-toolkit=lucid'
>>>  '--without-xaw3d' '--with-xpm' '--with-jpeg' '--with-tiff' '--with-gif'
>>>  '--with-png' '--without-rsvg' '--with-xft' 'CC=/usr/bin/clang'
>>>  'CFLAGS=-pipe -O2 -arch x86_64' 'LDFLAGS=-L/opt/local/lib -lfreetype
>>>  -lfontconfig -Wl,-no_pie -arch x86_64' 'CPPFLAGS=-I/opt/local/include''
>>> 
>>> Important settings:
>>>   value of $LC_ALL: nil
>>>   value of $LC_COLLATE: nil
>>>   value of $LC_CTYPE: nil
>>>   value of $LC_MESSAGES: nil
>>>   value of $LC_MONETARY: nil
>>>   value of $LC_NUMERIC: nil
>>>   value of $LC_TIME: nil
>>>   value of $LANG: en_US.UTF-8
>>>   value of $XMODIFIERS: nil
>>>   locale-coding-system: utf-8-unix
>>>   default enable-multibyte-characters: t
>>> 
>>> Major mode: Lisp Interaction
>>> 
>>> Minor modes in effect:
>>>   show-paren-mode: t
>>>   tooltip-mode: t
>>>   mouse-wheel-mode: t
>>>   tool-bar-mode: t
>>>   menu-bar-mode: t
>>>   file-name-shadow-mode: t
>>>   global-font-lock-mode: t
>>>   font-lock-mode: t
>>>   blink-cursor-mode: t
>>>   auto-composition-mode: t
>>>   auto-encryption-mode: t
>>>   auto-compression-mode: t
>>>   column-number-mode: t
>>>   line-number-mode: t
>>>   transient-mark-mode: t
>>> 
>>> Recent input:
>>> <help-echo> <help-echo> <help-echo> <escape> x r e 
>>> p o r t - e m a c s - b u g <return>
>>> 
>>> Recent messages:
>>> Loading delsel...done
>>> Loading paren...done
>>> For information about GNU Emacs and the GNU system, type C-h C-a.
>>> 
>>> Load-path shadows:
>>> None found.
>>> 
>>> Features:
>>> (shadow sort gnus-util mail-extr emacsbug message idna format-spec
>>> rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse
>>> rfc2231 mailabbrev gmm-utils mailheader sendmail regexp-opt rfc2047
>>> rfc2045 ietf-drums mm-util mail-prsvr mail-utils paren delsel cus-start
>>> cus-load time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel
>>> x-win x-dnd tool-bar dnd fontset image fringe lisp-mode register page
>>> menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
>>> syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
>>> vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
>>> romanian slovak czech european ethiopic indian cyrillic chinese
>>> case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
>>> button faces cus-face files text-properties overlay sha1 md5 base64
>>> format env code-pages mule custom widget hashtable-print-readable
>>> backquote make-network-process dynamic-setting system-font-setting
>>> font-render-setting x-toolkit x multi-tty emacs)
>>> 
>>> 
>>> 
>>> 
>> 
>